#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Encode
%define		pnam	HanExtra
Summary:	Encode::HanExtra - Extra sets of Chinese encodings
Summary(pl.UTF-8):	Encode::HanExtra - Dodatkowe zestawy mapowań chińskich
Name:		perl-Encode-HanExtra
Version:	0.23
Release:	12
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e1d3bc32c1c8ee304235a06fbcd5d5a4
URL:		http://search.cpan.org/dist/Encode-HanExtra/
BuildRequires:	perl-Encode >= 2.09
%{?with_tests:BuildRequires:  perl-Module-Signature}
BuildRequires:	perl-devel >= 1:5.7.3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In the 1950's, the Chinese government simplified over 2000 Chinese
characters. Taiwan and Hong Kong still use the traditional characters.
The simplified characters are hard to read if you only know the
traditional ones, and vice-versa. This module attempts to convert
Chinese text between the two forms, using character-by-character
transliteration.

%description -l pl.UTF-8
W latach 1950-tych rząd chiński uprościł ponad 2000 chińskich
ideogramów. Tajwan i Hong Kong nadal używają ideogramów tradycyjnych.
Ideogramy uproszczone są trudne do odczytania dla znających tylko
tradycyjne i odwrotnie. Moduł próbuje konwertować teksty chińskie
pomiędzy tymi postaciami stosując transliterację znak po znaku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Encode/HanExtra.pm
%dir %{perl_vendorarch}/Encode/TW
%dir %{perl_vendorarch}/Encode/TW/Unisys
%{perl_vendorarch}/Encode/TW/Unisys/SOSI*.pm
%dir %{perl_vendorarch}/auto/Encode/HanExtra
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/HanExtra/HanExtra.so
%{_mandir}/man3/Encode::HanExtra.3*
%{_mandir}/man3/Encode::TW::Unisys::SOSI*.3*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Encode-HanExtra.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> becea58
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 5e409d5
- rebuild with perl 5.28.0
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7e70f59
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> deeeabe
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> d0a505e
- verbose man files

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 3387a73
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> af521a4
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 16c4b64
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 02174a6
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f74373d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5134148
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0676cbe
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9507cb2
- release 2

* Mon Apr 12 2010 Paweł Gołaszewski <blues@pld-linux.org> 0251cf9
- rel.1

* Mon Apr 12 2010 Paweł Gołaszewski <blues@pld-linux.org> ae3576e
- initial

